grid.yaxis {grid} | R Documentation

## Draw a Y-Axis on a Grid Viewport

### Description

This function draws a y-axis.

### Usage

    grid.yaxis(at = NULL, label = TRUE, main = TRUE, gp  =gpar(),
               draw = TRUE, vp = NULL)

### Arguments

`at` | A numeric vector of y-value locations for the tick marks.
`label` | A logical value indicating whether to draw the labels on the tick marks.
`main` | A logical value indicating whether to draw the axis at the left (`TRUE`) or at the right (`FALSE`) of the viewport.
`gp` | An object of class `gpar`, typically the output from a call to the function `gpar`. This is basically a list of graphical parameter settings.
`draw` | A logical value indicating whether graphics output should be produced.
`vp` | A Grid viewport obect (or `NULL`).

### Details

The `"grob"` object contains an object of class `"yaxis"`.

### Value

An object of class `"grob"`.

### Author(s)

Paul Murrell

### See Also

Grid, `viewport`, `grid.xaxis`

[Package Contents]